
Foreman - Bug #17627

Tooltips do not disappear in web UI after pressing back button

12/11/2016 09:57 AM - Tomer Brisker

Status: Closed   

Priority: Normal   

Assignee: Tomer Brisker   

Category: Web Interface   

Target version: 1.14.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1392886 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/4100

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1392886

Description of problem:

In several areas of the Satellite 6 Web UI, tooltips will not disappear over time. See attached screen shot.

Version-Release number of selected component (if applicable):

6.2.2

How reproducible:

Always

Steps to Reproduce:

1. Hit the Satellite url ex. satellite.example.com

2. Go to Monitor > Facts

3. Hover over any Host

4. Click that host

5. Click back button from web browser

6. tooltip is still visible.

Actual results:

Multiple tootip is displayed

Expected results:

Tooltip should be disappeared

Additional info:

Associated revisions

Revision ccc3a646 - 12/13/2016 02:18 PM - Tomer Brisker

Fixes #17627 - remove tooltips after clicking back

Turbolinks will keep the page cached as it is when a link with a tooltip

is clicked, so that clicking back will show the page with the tooltip

still active. This will make sure any tooltips are hidden when a page is

loaded from turbolinks' cache.

Revision 5b489c77 - 01/30/2017 11:01 AM - Tomer Brisker

Fixes #17627 - remove tooltips after clicking back

Turbolinks will keep the page cached as it is when a link with a tooltip

is clicked, so that clicking back will show the page with the tooltip

still active. This will make sure any tooltips are hidden when a page is

loaded from turbolinks' cache.

(cherry picked from commit ccc3a646485cf4a6fba61d2308188abbcc5777a5)
History

#1 - 12/11/2016 10:03 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Tomer Brisker

- Pull request https://github.com/theforeman/foreman/pull/4100 added

#2 - 12/13/2016 10:00 AM - Daniel Lobato Garcia

- Target version set to 1.4.3

#3 - 12/13/2016 03:02 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset ccc3a646485cf4a6fba61d2308188abbcc5777a5.

#4 - 12/14/2016 03:10 AM - Dominic Cleal

- Subject changed from Tooltips do not disappear in Satellite 6's web UI. to Tooltips do not disappear in web UI after pressing back button

- translation missing: en.field_release set to 210
